#!/bin/sh

set -x # Print commands
set -e # Exit on error
set -u # Exit on undefined variable

# Backup the database
sqlite3 /data/db.sqlite3 ".backup '/data/db-backup.sqlite3'"

# Perform the backup
/usr/bin/restic backup -q --host $RESTIC_HOSTNAME /data

# Prune old backups
/usr/bin/restic forget -q --host $RESTIC_HOSTNAME --keep-hourly 24 --keep-daily 10 --keep-weekly 6 --keep-monthly 6 --prune
